Swift 2.2.1 => Swift 3.0-dev problems with 4 benchmarks game programs


(Isaac Gouy) #1

Most of the contributed benchmarks game programs have now been converted from Swift 2.2.1 and compile with Swift 3.0-dev.

There are still 4 programs that haven't been converted, which use UnsafeMutableRawPointer.

Fixed programs contributed via:

    http://benchmarksgame.alioth.debian.org/play.html

:would be welcome --

http://benchmarksgame.alioth.debian.org/u64q/program.php?test=binarytrees&lang=swift&id=4

http://benchmarksgame.alioth.debian.org/u64q/program.php?test=binarytrees&lang=swift&id=5

http://benchmarksgame.alioth.debian.org/u64q/program.php?test=knucleotide&lang=swift&id=1

http://benchmarksgame.alioth.debian.org/u64q/program.php?test=mandelbrot&lang=swift&id=2